#ifndef MOT_PARAMS_IND_H__
#define MOT_PARAMS_IND_H__

#include "os/os_types.h"

#define L_TYPE_NONE 0
#define R_TYPE   1
#define L_TYPE_D 2
#define L_TYPE_Q 3
#define FLUX_TYPE 4

void mot_params_ind_rs(float vd_max, float id_max, s32 time);
void mot_params_ind_ld(float v, float freq);
void mot_params_ind_lq(float v, float freq);
void mot_params_ind_flux(float id, float iq);
void mot_params_high_freq_inject(void);
float mot_params_get_est_rs(void);
bool mot_params_hj_sample_vi(float vd, float vq, float id, float iq);
float mot_params_get_est_ld(void);
float mot_params_get_est_lq(void);
void mot_params_ind_stop(void);
void mot_params_calc_inductance(void);
bool mot_params_rs_ested(void);
bool mot_params_ld_ested(void);
bool mot_params_lq_ested(void);
bool mot_params_flux_ested(void);
float mot_params_get_est_flux(void);
void mot_params_flux_stop(void);
bool mot_params_flux_pending(void);

#endif /* MOT_PARAMS_IND_H__ */

